Loading...
Searching...
No Matches
Ogre::SmallVector< T, 0 > Class Template Reference

Specialize SmallVector at N=0. More...

`#include <OgreSmallVector.h>`

Inheritance diagram for Ogre::SmallVector< T, 0 >:
[legend]

## Public Member Functions

| SmallVector ()
| SmallVector (const SmallVector &RHS)
template<typename ItTy>
| SmallVector (ItTy S, ItTy E)
| SmallVector (unsigned Size, const T &Value=T())
SmallVector & | operator= (const SmallVectorImpl< T > &RHS)
Public Member Functions inherited from Ogre::SmallVectorImpl< T >
| SmallVectorImpl (unsigned N)
| ~SmallVectorImpl ()
template<typename in_iter>
void | append (in_iter in_start, in_iter in_end)
| append - Add the specified range to the end of the SmallVector.
void | append (size_type NumInputs, const T &Elt)
| append - Add the specified range to the end of the SmallVector.
void | assign (unsigned NumElts, const T &Elt)
void | clear ()
iterator | erase (iterator I)
iterator | erase (iterator S, iterator E)
iterator | insert (iterator I, const T &Elt)
template<typename ItTy>
iterator | insert (iterator I, ItTy From, ItTy To)
iterator | insert (iterator I, size_type NumToInsert, const T &Elt)
bool | operator!= (const SmallVectorImpl &RHS) const
bool | operator< (const SmallVectorImpl &RHS) const
const SmallVectorImpl & | operator= (const SmallVectorImpl &RHS)
bool | operator== (const SmallVectorImpl &RHS) const
void | pop_back ()
T | pop_back_val ()
void | push_back (const T &Elt)
void | reserve (unsigned N)
void | resize (unsigned N)
void | resize (unsigned N, const T &NV)
void | set_size (unsigned N)
| set_size - Set the array size to
void | swap (SmallVectorImpl &RHS)
Public Member Functions inherited from Ogre::SmallVectorTemplateBase< T, isPodLike< T >::value >
| SmallVectorTemplateBase (size_t Size)
void | grow (size_t MinSize=0)
| grow - double the size of the allocated memory, guaranteeing space for at least one more element or MinSize if specified.
Public Member Functions inherited from Ogre::SmallVectorTemplateCommon< T >
| SmallVectorTemplateCommon (size_t Size)
reference | back ()
const_reference | back () const
iterator | begin ()
const_iterator | begin () const
size_t | capacity () const
| capacity - Return the total number of elements in the currently allocated buffer.
pointer | data ()
| data - Return a pointer to the vector's buffer, even if empty().
const_pointer | data () const
| data - Return a pointer to the vector's buffer, even if empty().
iterator | end ()
const_iterator | end () const
reference | front ()
const_reference | front () const
size_type | max_size () const
reference | operator[] (unsigned idx)
const_reference | operator[] (unsigned idx) const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
size_type | size () const
Public Member Functions inherited from Ogre::SmallVectorBase
bool | empty () const

## Additional Inherited Members

Public Types inherited from Ogre::SmallVectorImpl< T >
typedef SuperClass::iterator | iterator
typedef SuperClass::size_type | size_type
Public Types inherited from Ogre::SmallVectorTemplateCommon< T >
typedef const T * | const_iterator
typedef const T * | const_pointer
typedef const T & | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef ptrdiff_t | difference_type
typedef T * | iterator
typedef T * | pointer
typedef T & | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef size_t | size_type
typedef T | value_type
Static Public Member Functions inherited from Ogre::SmallVectorTemplateBase< T, isPodLike< T >::value >
static void | destroy_range (T *S, T *E)
static void | uninitialized_copy (It1 I, It1 E, It2 Dest)
| uninitialized_copy - Copy the range [I, E) onto the uninitialized memory starting with "Dest", constructing elements into it as needed.

## Detailed Description

template<typename T>
class Ogre::SmallVector< T, 0 >

Specialize SmallVector at N=0.

This specialization guarantees that it can be instantiated at an incomplete T if none of its members are required.

## Constructor & Destructor Documentation

## SmallVector() [1/4]

template<typename T>

Ogre::SmallVector< T, 0 >::SmallVector | ( |  | ) |

inline

Referenced by SmallVector(), and operator=().

## SmallVector() [2/4]

template<typename T>

Ogre::SmallVector< T, 0 >::SmallVector | ( | unsigned | Size,
|  | const T & | Value = T() )

inline explicit

References Ogre::SmallVectorImpl< T >::push_back(), and Ogre::SmallVectorImpl< T >::reserve().

## SmallVector() [3/4]

template<typename T>
template<typename ItTy>

Ogre::SmallVector< T, 0 >::SmallVector | ( | ItTy | S,
|  | ItTy | E )

inline

References Ogre::SmallVectorImpl< T >::append().

## SmallVector() [4/4]

template<typename T>

Ogre::SmallVector< T, 0 >::SmallVector | ( | const SmallVector< T, 0 > & | RHS | ) |

inline

References SmallVector(), and Ogre::SmallVectorImpl< T >::operator=().

## Member Function Documentation

## operator=()

template<typename T>

SmallVector & Ogre::SmallVector< T, 0 >::operator= | ( | const SmallVectorImpl< T > & | RHS | ) |

inline

References SmallVector(), and Ogre::SmallVectorImpl< T >::operator=().

The documentation for this class was generated from the following file:

- OgreSmallVector.h